.navItem {
  @apply inline-flex
    items-center
    gap-2
    rounded
    px-3
    py-2;

  .label {
    @apply text-sm
      font-medium
      leading-5;
  }

  .icon {
    @apply size-4
      text-white;
  }

  &.nav {
    .label {
      @apply text-white;
    }

    &.active {
      @apply bg-secondary;

      .label {
        @apply text-secondary-foreground;
      }

      .icon {
        @apply text-secondary-foreground;
      }
    }
  }

  &.footer {
    .label {
      @apply text-white;
    }

    &:hover {
      @apply bg-neutral-100 dark:bg-neutral-900;
    }
  }
}
